### Method

# Camel FolderSummary set_index

#### Declaration [src]

    void
    camel_folder_summary_set_index (
      CamelFolderSummary* summary,
      CamelIndex* index
    )

#### Description [src]

Set the index used to index body content. If the index is `NULL`, or not set (the default), no indexing of body content will take place.

#### Parameters

`index`

  Type: `CamelIndex`

  A `CamelIndex`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.